import React from 'react';
import PropTypes from 'prop-types';
import { IntersectionAreasMapping, VennSet } from "../types/venn.js";
export interface VennProps {
    sets?: VennSet[];
    selectors?: string[];
}
export declare class Venn extends React.Component<VennProps> {
    state: {
        selectors: never[];
        sets: never[];
    };
    static propTypes: {
        selectors: PropTypes.Requireable<(string | null | undefined)[]>;
        sets: PropTypes.Requireable<(PropTypes.InferProps<{
            label: PropTypes.Requireable<string>;
            sets: PropTypes.Validator<(string | null | undefined)[]>;
            size: PropTypes.Validator<number>;
        }> | null | undefined)[]>;
    };
    getIntersectionAreasMapping(): {};
    appendVennAreaParts(svg: Selection, intersectionAreasMapping: IntersectionAreasMapping): void;
    appendLabels(svg: Selection, labels: Selection): void;
    appendVennAreaPart(svg: any, d: any, partId: any): void;
    appendPatterns(defs: any): void;
    getPartId(vennArea: any, intersectedAreas: any): string;
    bindVennAreaPartListeners(div: any): void;
    removeOriginalVennAreas(): void;
    clear(): void;
    selectNode(DOMnode: any): void;
    fillVenn: () => void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    render(): JSX.Element;
}
